Is it possible to upgrade Postgres to a higher version

hi, we deployed a on-premise Sentry in our DC, and for some security reason, we need to upgrade Postgres version to 11.x, is it possible to upgrade Postgres to a higher version? thank you

current sentry version is 20.9.0 and pg 9.6

Hi!

Not yet unfortunately. You can follow this GitHub issue: Upgrade to a newer version of postgres · Issue #1097 · getsentry/onpremise · GitHub and read this forum post where we share more details: Roadmap PostgreSQL Update - #2 by jasonious